%global srcname PyJWT
%global libname jwt
%global eggname %{srcname}
%global pkgname %{libname}

%global common_description %{expand:
A Python implementation of JSON Web Token draft 01. This library provides a means of
representing signed content using JSON data structures, including claims to be transferred
between two parties encoded as digitally signed and encrypted JSON objects.}

Summary:        JSON Web Token implementation in Python
Name:           python-%{pkgname}
Version:        2.6.0
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/jpadilla/pyjwt
Source0:        %pypi_source

BuildArch:      noarch

%description
%{common_description}

%package -n python%{python3_pkgversion}-%{pkgname}
Summary:        JSON Web Token implementation in Python
BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-setuptools python%{python3_pkgversion}-cryptography

Requires:  python%{python3_pkgversion}-cryptography

%description -n python%{python3_pkgversion}-%{pkgname} %{common_description}

%prep
%autosetup -n %{srcname}-%{version}
# remove unused coverage buildreq and relax pytest req
sed -e '/coverage/d' \
    -e '/pytest/ s/,<7.0.0//' \
    -i setup.cfg


%generate_buildrequires
%pyproject_buildrequires -x crypto,tests

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{libname}

%check
%pytest -k 'not test_ec_to_jwk_with_invalid_curve'


%files -n python3-%{pkgname} -f %{pyproject_files}
%doc README.rst

%changelog
* Mon Sep 25 2023 Shuo Wang <abushwang@tencent.com> - 2.6.0-1
- update to 2.6.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jan 12 2023 Shuo Wang <abushwang@tencent.com> - 2.3.0-1
- initial build
